#!/usr/bin/python
#
# example1.py
# A simple script demonstrating
# banks of sliders and buttons
# uses example1.csd
#
# (c) Victor Lazzarini, 2006
#  Free software, licensed by GNU General Public License

import csndgui
import gtk       

# colours
red = (0xFFFF,0,0)
bg  = (0xF000, 0xFF00, 0xFFFF)
                
win = csndgui.CsoundGUI(bg)
win.csd("example1.csd")
txt = win.text("Making Waves")
sfbox = win.box(False)
bfbox = win.box(False)
sbox = win.framebox("frequencies", False, sfbox, red, 40)
bbox = win.framebox("oscillators", False, bfbox, red, 40)
win.buttonbank(8,bbox)
win.spin(0,0,10,0.5,1,bbox,0, "main_volume")
win.vsliderbank(8,400.0,400.0,500.0,40,200,sbox)

win.play()
gtk.main()

